<?php
    /*
    Copyright 2006 Paul Westbrook (paul@westbrooks.org)
    
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.
    
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
    
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
    */



	include_once( PLOG_CLASS_PATH."class/plugin/pluginbase.class.php" );
	include_once( PLOG_CLASS_PATH."class/plugin/pluginmanager.class.php" );
	include_once( PLOG_CLASS_PATH."class/template/menu/menu.class.php" );


	class PluginMovabletype extends PluginBase
	{

		
		function PluginMovabletype()
		{
			$this->PluginBase();

			$this->id      = "movabletype";
			$this->author  = "Paul Westbrook";
			$this->desc    = "This plugin enables extended text in xmlrpc structures.";

			$this->locales = Array( "en_UK");

			$this->init();
		}

		function init()
		{
            $this->registerAdminAction( "movabletypeConfig", "PluginMovabletypeConfigAction" );
			$this->registerAdminAction( "updateMovabletypeConfig", "PluginMovabletypeUpdateConfigAction" );
			
			$menu =& Menu::getMenu();
            if( !$menu->entryExists( "/menu/controlCenter/manageSettings" ))                     
                $this->addMenuEntry( "/menu/controlCenter", "manageSettings", "", "", true, false );
            $this->addMenuEntry( "/menu/controlCenter/manageSettings", "movabletype", "?op=movabletypeConfig", "" );
		}

		function register()
		{
		}
	}
?>